io.vertx.groovy.ext.stomp

## Class StompClientConnection_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.ext.stomp.StompClientConnection_GroovyExtension

-     public class StompClientConnection_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StompClientConnection_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StompClientConnection` | `abort(StompClientConnection j_receiver, String id, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `abort(StompClientConnection j_receiver, String id, Map<String,String> headers, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `ack(StompClientConnection j_receiver, String id, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `ack(StompClientConnection j_receiver, String id, String txId, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `beginTX(StompClientConnection j_receiver, String id, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `beginTX(StompClientConnection j_receiver, String id, Map<String,String> headers, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `commit(StompClientConnection j_receiver, String id, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `commit(StompClientConnection j_receiver, String id, Map<String,String> headers, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `disconnect(StompClientConnection j_receiver, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `disconnect(StompClientConnection j_receiver, Map<String,Object> frame)`
    `static StompClientConnection` | `disconnect(StompClientConnection j_receiver, Map<String,Object> frame, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `errorHandler(StompClientConnection j_receiver, Handler<Map<String,Object>> handler)`
    `static StompClientConnection` | `nack(StompClientConnection j_receiver, String id, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `nack(StompClientConnection j_receiver, String id, String txId, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `receivedFrameHandler(StompClientConnection j_receiver, Handler<Map<String,Object>> handler)`
    `static StompClientConnection` | `send(StompClientConnection j_receiver, Map<String,Object> frame)`
    `static StompClientConnection` | `send(StompClientConnection j_receiver, Map<String,Object> frame, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `send(StompClientConnection j_receiver, Map<String,String> headers, Buffer body, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `send(StompClientConnection j_receiver, String destination, Buffer body, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `send(StompClientConnection j_receiver, String destination, Map<String,String> headers, Buffer body, Handler<Map<String,Object>> receiptHandler)`
    `static String` | `subscribe(StompClientConnection j_receiver, String destination, Handler<Map<String,Object>> handler)`
    `static String` | `subscribe(StompClientConnection j_receiver, String destination, Handler<Map<String,Object>> handler, Handler<Map<String,Object>> receiptHandler)`
    `static String` | `subscribe(StompClientConnection j_receiver, String destination, Map<String,String> headers, Handler<Map<String,Object>> handler)`
    `static String` | `subscribe(StompClientConnection j_receiver, String destination, Map<String,String> headers, Handler<Map<String,Object>> handler, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `unsubscribe(StompClientConnection j_receiver, String destination, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `unsubscribe(StompClientConnection j_receiver, String destination, Map<String,String> headers, Handler<Map<String,Object>> receiptHandler)`
    `static StompClientConnection` | `writingFrameHandler(StompClientConnection j_receiver, Handler<Map<String,Object>> handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StompClientConnection_GroovyExtension

          public StompClientConnection_GroovyExtension()

  - ### Method Detail

    - #### send

          public static StompClientConnection send(StompClientConnection j_receiver,
                                                   Map<String,String> headers,
                                                   Buffer body,
                                                   Handler<Map<String,Object>> receiptHandler)

    - #### send

          public static StompClientConnection send(StompClientConnection j_receiver,
                                                   String destination,
                                                   Buffer body,
                                                   Handler<Map<String,Object>> receiptHandler)

    - #### send

          public static StompClientConnection send(StompClientConnection j_receiver,
                                                   Map<String,Object> frame)

    - #### send

          public static StompClientConnection send(StompClientConnection j_receiver,
                                                   Map<String,Object> frame,
                                                   Handler<Map<String,Object>> receiptHandler)

    - #### send

          public static StompClientConnection send(StompClientConnection j_receiver,
                                                   String destination,
                                                   Map<String,String> headers,
                                                   Buffer body,
                                                   Handler<Map<String,Object>> receiptHandler)

    - #### subscribe

          public static String subscribe(StompClientConnection j_receiver,
                                         String destination,
                                         Handler<Map<String,Object>> handler)

    - #### subscribe

          public static String subscribe(StompClientConnection j_receiver,
                                         String destination,
                                         Handler<Map<String,Object>> handler,
                                         Handler<Map<String,Object>> receiptHandler)

    - #### subscribe

          public static String subscribe(StompClientConnection j_receiver,
                                         String destination,
                                         Map<String,String> headers,
                                         Handler<Map<String,Object>> handler)

    - #### subscribe

          public static String subscribe(StompClientConnection j_receiver,
                                         String destination,
                                         Map<String,String> headers,
                                         Handler<Map<String,Object>> handler,
                                         Handler<Map<String,Object>> receiptHandler)

    - #### unsubscribe

          public static StompClientConnection unsubscribe(StompClientConnection j_receiver,
                                                          String destination,
                                                          Handler<Map<String,Object>> receiptHandler)

    - #### unsubscribe

          public static StompClientConnection unsubscribe(StompClientConnection j_receiver,
                                                          String destination,
                                                          Map<String,String> headers,
                                                          Handler<Map<String,Object>> receiptHandler)

    - #### errorHandler

          public static StompClientConnection errorHandler(StompClientConnection j_receiver,
                                                           Handler<Map<String,Object>> handler)

    - #### beginTX

          public static StompClientConnection beginTX(StompClientConnection j_receiver,
                                                      String id,
                                                      Handler<Map<String,Object>> receiptHandler)

    - #### beginTX

          public static StompClientConnection beginTX(StompClientConnection j_receiver,
                                                      String id,
                                                      Map<String,String> headers,
                                                      Handler<Map<String,Object>> receiptHandler)

    - #### commit

          public static StompClientConnection commit(StompClientConnection j_receiver,
                                                     String id,
                                                     Handler<Map<String,Object>> receiptHandler)

    - #### commit

          public static StompClientConnection commit(StompClientConnection j_receiver,
                                                     String id,
                                                     Map<String,String> headers,
                                                     Handler<Map<String,Object>> receiptHandler)

    - #### abort

          public static StompClientConnection abort(StompClientConnection j_receiver,
                                                    String id,
                                                    Handler<Map<String,Object>> receiptHandler)

    - #### abort

          public static StompClientConnection abort(StompClientConnection j_receiver,
                                                    String id,
                                                    Map<String,String> headers,
                                                    Handler<Map<String,Object>> receiptHandler)

    - #### disconnect

          public static StompClientConnection disconnect(StompClientConnection j_receiver,
                                                         Handler<Map<String,Object>> receiptHandler)

    - #### disconnect

          public static StompClientConnection disconnect(StompClientConnection j_receiver,
                                                         Map<String,Object> frame)

    - #### disconnect

          public static StompClientConnection disconnect(StompClientConnection j_receiver,
                                                         Map<String,Object> frame,
                                                         Handler<Map<String,Object>> receiptHandler)

    - #### ack

          public static StompClientConnection ack(StompClientConnection j_receiver,
                                                  String id,
                                                  Handler<Map<String,Object>> receiptHandler)

    - #### nack

          public static StompClientConnection nack(StompClientConnection j_receiver,
                                                   String id,
                                                   Handler<Map<String,Object>> receiptHandler)

    - #### ack

          public static StompClientConnection ack(StompClientConnection j_receiver,
                                                  String id,
                                                  String txId,
                                                  Handler<Map<String,Object>> receiptHandler)

    - #### nack

          public static StompClientConnection nack(StompClientConnection j_receiver,
                                                   String id,
                                                   String txId,
                                                   Handler<Map<String,Object>> receiptHandler)

    - #### receivedFrameHandler

          public static StompClientConnection receivedFrameHandler(StompClientConnection j_receiver,
                                                                   Handler<Map<String,Object>> handler)

    - #### writingFrameHandler

          public static StompClientConnection writingFrameHandler(StompClientConnection j_receiver,
                                                                  Handler<Map<String,Object>> handler)

Copyright © 2017. All rights reserved.